net.sf.cglib.transform.impl

## Class AddStaticInitTransformer

- java.lang.Object
- - ClassVisitor
  - - net.sf.cglib.transform.ClassTransformer
    - - net.sf.cglib.core.ClassEmitter
      - - net.sf.cglib.transform.ClassEmitterTransformer
        - - net.sf.cglib.transform.impl.AddStaticInitTransformer

-     public class AddStaticInitTransformer
      extends ClassEmitterTransformer

  Author:
    Juozas Baliuka, Chris Nokleberg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddStaticInitTransformer(java.lang.reflect.Method classInit)`

  - ### Method Summary

    - ### Methods inherited from class net.sf.cglib.core.ClassEmitter

      `begin_class, begin_method, begin_static, declare_field, end_class, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, setTarget, visit, visitEnd, visitField, visitMethod`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddStaticInitTransformer

          public AddStaticInitTransformer(java.lang.reflect.Method classInit)

Copyright (c) 2001 - Apache Software Foundation